
#include <ctype.h>

char *UpString (char *ToUp) {
  int i = 0;
  char *Up = ToUp;  
  while (ToUp[i] != '\0'){
    Up[i] = toupper(ToUp[i]);
    i++;
    }  
  return Up;
}

char *KillSpecial(char *s)
{
  int i = 0;
  int j = 0;
  char *ks = s;  
  while (s[i] != '\0'){
    if ((!isspace(s[i])) && (!ispunct(s[i]))) {
      ks[j] = s[i];
      j++;
      }
    i++;
    } 
    ks[j] = '\0';
  return ks;
}

